{
	"$schema": "https://schemas.wp.org/trunk/block.json",
	"apiVersion": 2,
	"name": "homegrade-content-blocks/highlight",
	"version": "0.1.0",
	"title": "Mise en avant",
	"category": "homegrade-blocks",
	"description": "Bloc pour mettre en avant des informations importantes",
	"supports": {
		"html": false,
		"anchor": true
	},
	"textdomain": "homegrade-blocks__texte-fonctionnel",
	"editorScript": "file:./index.js",
	"editorStyle": "file:./index.css",
	"style": "file:./style-index.css",
	"attributes": {
		"title": {
			"type": "string",
			"source": "html",
			"selector": "h3"
		},
		"iconName": {
			"type": "string",
			"default": "key"
		},
		"hasTitle": {
			"type": "boolean",
			"default": true
		},
		"hasTitleIcon": {
			"type": "boolean",
			"default": true
		},
		"hasLogo": {
			"type": "boolean",
			"default": false
		},
		"logoId": {
			"type": "number"
		},
		"logoAlt": {
			"type": "string"
		},
		"logoUrl": {
			"type": "string"
		},
		"variant": {
			"type": "string",
			"default": "classic"
		}
	}
}